> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-8/v8-7/v8-7-0.md).

# Version 8.7.0 Changelog (2022-07-15)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

* Updated the version of PDFNet used to version 9.3. All Apryse SDK 9.3 APIs are available with the full API.
* Added new `editBoxesAvailable` event on the [`ContentEdit`](https://sdk.apryse.com/api/web/Core.ContentEdit.html) namespace that fires when the edit boxes are available on a page
* Added new APIs (`getBorderStyle`, `setBorderStyle`, `getCloudIntensity`, and `setCloudIntensity`) for [`RectangleAnnotation`](https://sdk.apryse.com/api/web/Core.Annotations.RectangleAnnotation.html) and [`PolygonAnnotation`](https://sdk.apryse.com/api/web/Core.Annotations.PolygonAnnotation.html)
* WebViewer now retrieves annotation data from WebViewer Server in separate size based chunks instead of a singular file
* Added support for encrypting PDFs without using the full API by passing the `password` option to [`doc.getFileData`](https://sdk.apryse.com/api/web/Core.Document.html#getFileData)
* Added a movable measurement caption to area measurement annotations
* Added [`setDefaultMeasurementCaptionOptions`](https://sdk.apryse.com/api/web/Core.Tools.EllipseMeasurementCreateTool.html#setDefaultMeasurementCaptionOptions) and [`setMeasurementCaptionOptions`](https://sdk.apryse.com/api/web/Core.Annotations.PolygonAnnotation.html#setMeasurementCaptionOptions) APIs for setting the caption options on either the area measurement create tool or the area measurement annotation

### Fixes

* Fixed an issue with [`Core.PDFNet.VerificationOptions.loadTrustList`](https://sdk.apryse.com/api/web/Core.PDFNet.VerificationOptions.html#loadTrustList) causing an issue with a PDFNet Digital Signature Verification API that would result in the WebViewer UI no longer rendering Digital Signature Verification content
* Fixed translations for other languages
* Fixed Arabic text layout issues
* Fixed text search for right to left language
* Fixed issue with redo/undo/loading with `ArcAnnotation`
* Fixed `FileAttachmentAnnotation` not being rotatable
* Fixed warning in Firefox about quirks mode
* Fixed issues with signature appearances not rendering correctly in Chrome when using custom containers
* Fixed the bug that the date string can not be cleared for date widget date field
* Fixed an issue where the incorrect appearances were being generated for form fields that have formatting actions
* Fixed an issue where long text pasted into small text widgets would truncate incorrectly
* Fixed an issue where date picker was fully/partially hidden when virtual keyboard was opened
* Fixed issues with caption when creating measurement annotations on a rotated document.
* Fixed bullet point when displaying Office documents
* Fixed issue with `RedactionAnnotation` being treated as text redactions when X, Y, Width, and Height are used to initialize it
* Fixed an issue where `PolylineAnnotation` and `PolygonAnnotation` were being deleted prematurely
* Fixed bug where WebViewer would hang on download with `forceClientSideInit` enabled
* Fixed print preview adding an extra blank page in some browsers

## WebViewer UI

### New

* Updated bookmark panel UI
* Updated multi pages cropping controls
* Updated style of different UI modals when using dark mode
* Added [`instance.mentions.setMentionLookupCallback`](https://sdk.apryse.com/api/web/UI.MentionsManager.html#setMentionLookupCallback) and [`instance.mentions.getMentionLookupCallback`](https://sdk.apryse.com/api/web/UI.MentionsManager.html#getMentionLookupCallback) to have custom searching and API calling when mentioning a user
* Added new [`instance.UI.addCustomModal`](https://sdk.apryse.com/api/web/UI.html#.addCustomModal__anchor) for adding custom modals

### Fixes

* Fixed issue with full page redaction UI style controls
* Fixed font size dropdown being cut off on some screen sizes
* Fixed WebViewer crashing with `setUserData` then adding new notes
* Fixed issue where unsaved edit in the note panel does not persist
* Fixed selection issue with signature popup
* Improved responsiveness of signature modal for small screens
* Fixed various padding and dark mode style issues for UI controls


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-8/v8-7/v8-7-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
